.blog-card {
    /* border-radius: 10px; */
    overflow: hidden;
    transition: 0.3s ease;
    background: #fff;
}

.blog-card:hover {
    /* transform: translateY(-5px); */
    transform: scale(1.05);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.blog-card:hover .blog-title {
    text-decoration: underline;
}

.blog-title {
    font-size: 14px !important;
    font-weight: 600;
    margin-bottom: 8px;
    min-height: 5rem;
}

.blog-desc {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    color: #555;
    font-size: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.blog-image-wrapper img {
    max-height: 12rem;
    min-height: 12rem;
    width: 100%;
    object-fit: cover;
}

/* Date Badge */
.blog-date-badge {
    position: absolute;
    top: 0px;
    right: 0px;
    background: #2d1c66;
    color: white;
    padding: 8px 12px;
    font-weight: 600;
    font-size: 14px;
    /* border-radius: 5px; */
}

.blog-date-badge span {
    display: block;
    font-size: 12px;
}

@media screen and (max-width:450px) {
    .blog-image-wrapper img{
        min-height: 8rem;
    }
}